package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 工时统计-按派单统计
 * @Author: CaoZixuan
 * @Date: 2024-09-06
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DingStatisticByCrmDto {
    @ExcelProperty(value = "服务单元")
    @ApiModelProperty(value = "服务单元")
    private String serviceName;

    @ExcelProperty(value = "派单号")
    @ApiModelProperty(value = "派单号")
    private String crmNo;

    @ExcelProperty(value = "项目名称")
    @ApiModelProperty(value = "项目名称")
    private String crmName;

    @ExcelProperty(value = "实际出勤（天）")
    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ExcelProperty(value = "工作日（天）")
    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ExcelProperty(value = "周末（天）")
    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ExcelProperty(value = "法定节假日（天）")
    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ExcelProperty(value = "扫描周期（天）")
    @ApiModelProperty(value = "扫描周期（天）")
    private Integer scanPeriod;

    @ExcelProperty(value = "阅卷周期（天）")
    @ApiModelProperty(value = "阅卷周期（天）")
    private Integer markPaperPeriod;

    @ExcelProperty(value = "累计工时（小时）")
    @ApiModelProperty(value = "累计工时（小时）")
    private Double workHours;

    @ExcelProperty(value = "违规工时（天）")
    @ApiModelProperty(value = "违规工时（天）")
    private Integer violationDays;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public Integer getScanPeriod() {
        return scanPeriod;
    }

    public void setScanPeriod(Integer scanPeriod) {
        this.scanPeriod = scanPeriod;
    }

    public Integer getMarkPaperPeriod() {
        return markPaperPeriod;
    }

    public void setMarkPaperPeriod(Integer markPaperPeriod) {
        this.markPaperPeriod = markPaperPeriod;
    }

    public Double getWorkHours() {
        return workHours;
    }

    public void setWorkHours(Double workHours) {
        this.workHours = workHours;
    }

    public Integer getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Integer violationDays) {
        this.violationDays = violationDays;
    }
}
